Dillo < 0.8.4-rc1 Interface Message Format String

Medium Nessus Network Monitor Plugin ID 2512

Synopsis

The remote host is vulnerable to a remote 'format string' flaw.

Description

The remote host is using Dillo, an alternative web browser for Unix and Linux.
The remote version of this software is vulnerable to a format string vulnerability. This may allow an attacker to overwrite data in memory.

Solution

Upgrade to version 0.8.4-rc1 or higher.

Plugin Details

Severity: Medium

ID: 2512

File Name: 2512.prm

Family: Web Clients

Published: 2004/08/18

Modified: 2016/02/05

Dependencies: 1769

Risk Information

Risk Factor: Medium

CVSSv2

Base Score: 5.1

Temporal Score: 4.3

Vector: CVSS2#AV:N/AC:H/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:U/RL:U/RC:C

CVSSv3

Base Score: 5.6

Temporal Score: 5.1

Vector: CVSS3#AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:L

Temporal Vector: CVSS3#E:U/RL:U/RC:C

Reference Information

CVE: CVE-2005-0012

BID: 12203